


WRJPGCOM(1)                                           WRJPGCOM(1)


NAME
       wrjpgcom - insert text comments into a JPEG file

SYNOPSIS
       wrjpgcom  [ -replace ] [ -comment [1mtext[0m ] [ -cfile [1mname[0m ] [
       [1mfilename[0m ]


DESCRIPTION
       wrjpgcom reads the named JPEG/JFIF file, or  the  standard
       input  if  no file is named, and generates a new JPEG/JFIF
       file on standard output.  A comment block is added to  the
       file.

       The  JPEG  standard allows "comment" (COM) blocks to occur
       within a JPEG file.  Although the standard  doesn't  actu
       ally  define what COM blocks are for, they are widely used
       to hold user-supplied text strings.   This  lets  you  add
       annotations,  titles, index terms, etc to your JPEG files,
       and later retrieve them as text.  COM blocks do not inter
       fere  with the image stored in the JPEG file.  The maximum
       size of a COM block is 64K, but you can have  as  many  of
       them as you like in one JPEG file.

       wrjpgcom adds a COM block, containing text you provide, to
       a JPEG file.  Ordinarily, the COM block is added after any
       existing COM blocks; but you can delete the old COM blocks
       if you wish.

OPTIONS
       Switch names may be abbreviated, and are not  case  sensi
       tive.

       -replace
              Delete any existing COM blocks from the file.

       -comment [1mtext[0m
              Supply text for new COM block on command line.

       -cfile [1mname[0m
              Read text for new COM block from named file.

       If  you have only one line of comment text to add, you can
       provide it on the command line with -comment.  The comment
       text  must be surrounded with quotes so that it is treated
       as a single argument.  Longer comments can be read from  a
       text file.

       If  you  give  neither  -comment nor -cfile, then wrjpgcom
       will read the comment text from standard input.  (In  this
       case  an  input  image file name MUST be supplied, so that
       the source JPEG file comes from somewhere else.)  You  can
       enter  multiple  lines, up to 64KB worth.  Type an end-of-
       file  indicator  (usually  control-D)  to  terminate   the



                          30 August 1994                        1





WRJPGCOM(1)                                           WRJPGCOM(1)


       comment text entry.

       wrjpgcom  will not add a COM block if the provided comment
       string is empty.  Therefore -replace -comment  ""  can  be
       used to delete all COM blocks from a file.

EXAMPLES
       Add a short comment to in.jpg, producing out.jpg:

              wrjpgcom -c [1m"View[0m [1mof[0m [1mmy[0m [1mback[0m [1myard"[0m [1min.jpg[0m > [1mout.jpg[0m

       Attach a long comment previously stored in comment.txt:

              wrjpgcom [1min.jpg[0m < [1mcomment.txt[0m > [1mout.jpg[0m

       or equivalently

              wrjpgcom -cfile [1mcomment.txt[0m < [1min.jpg[0m > [1mout.jpg[0m

SEE ALSO
       cjpeg(1), djpeg(1), rdjpgcom(1)

AUTHOR
       Independent JPEG Group

































                          30 August 1994                        2


